Jump to content
Sign in to follow this  
RESSOURCES.PRO

[CLOS] MàJ d'un site en v1.1.0.5 vers un nouveau site en v1.2.1.0 [Pb BDD]

Recommended Posts

Bonjour à tous

j'essaye en vain de copier la base de données d'un site en v1.1 vers un second fraîchement installé avec la v1.2.1
en passant par PhpMyAdmin
la chose me paraîssait ultra simple, mais voilà, PhpMyAdmin m'affiche l'erreur #1050 - Table 'ps_access' already exists

J'ai bien pensé 'virer' toutes les tables avant l'import, mais s'agissant de deux versions différentes de Prestashop ...

Quelqu'un pourrait-il m'indiquer la bonne procédure, svp ?

Merci beaucoup (urgent)

10543_ae9hzmvmuXYDiIWaghrw_t

Share this post


Link to post
Share on other sites

Tu ne pourras pas simplement exporter/importer une base d'une version 1.1 vers une version 1.2 étant donné que leurs structures sont différentes. Pour ça il faut faire une mise à jour.

Share this post


Link to post
Share on other sites

Bon.. dommage, on efface tout et on recommence alors. Moi qui pensais gagner du temps! lol
Donc si je comprends bien:
1/- je réinstalle le version 1.1,
2/- j'importe la base de données,
3/- et enfin je fais une màj avec la version 1.2

Merci Patric ;)

Share this post


Link to post
Share on other sites

Bon, et bien après 2 jours d'insistance je crois bien que je vais devoir abandonner !
Tout simplement impossible de faire une màj de la v1.1.05 vers la v1.2 "finale"
Tout se fige invariablement en milieu de process (voir pics)
le problème semble venir de la différence de structure BDD ...?
Quelqu'un aurait-il une idée ?
Merci

10605_gSkhvRq3DM6H6TXRP7ec_t

10606_Qc14LojogWutXh5dKf8J_t

Share this post


Link to post
Share on other sites

Oui comme je l'ai déjà dit dans un autre topic!

J'ai eu le même problème j'ai fais un quinzaine d'essais avant que ça passe!

Mais avant chaque essai bien remettre le settings.inc.php de l'ancienne version et en shmod 777 !

bonne chance!

Share this post


Link to post
Share on other sites

Vide aussi le cache de ton explorateur!

Je te préviens avec la version 1201 moi j'ai les effets ajax qui ne fonctionnent pas!!!

Le bloc panier, agrandissement des images au survole de la souris dans les catégories, défilement des articles dans la même catégorie sur les fiches produits, ainssi que le module editorials3slider pas d'images ?

Avec mon thème prestshop légèrement modifier mais ausi avec le thème d'origine!

Share this post


Link to post
Share on other sites

Bonjour,

En effet il n'est pas possible de "copier" une version de PrestaShop sur une autre, c'est comme si vous preniez les fichiers de Windows 95 pour les mettre dans Vista...

Il faut passer par la procédure de mise à jour en vous rendant dans votre répertoire /install (ce que vous avez fait).

Concernant l'erreur que vous avez ensuite, je vous conseille d'installer le plugin "Firebug" pour Firefox, d'activer la console et de regarder le message d'erreur qui s'affiche lorsque vous lancez la mise à jour.

Il s'agit probablement d'une erreur mineure qui vous donnera la clé de cette énigme ;)

Share this post


Link to post
Share on other sites

Merci,
J'ai bien fais la mise à jour, mais à la fin il y avais juste un message style "plusieurs erreurs se sont produites"

mais je pouvais poursuivre car la mise à jour était fini!

je vais pas recommencer juste pour avoir une info éventuel avec firebug!

Tout fonctionne sauf les effets ajax! et le bloc categorie de ps, mais un autre bloc catégorie que j'ai ajouté fonctionne lui?

J'ai refais une installation complète (propre) de PS1201 dans un autre dossier, et tous les effets fonctionnait !
ensuite j'ai importé ma base de mon ps d'origine version 1201 fonctionnelle sauf la table ps_employée pour pouvoir reconnecter !

et là de nouveau tout marche sauf les effets ajax et le bloc catégorie ???

Donc il y aurait un problème avec la base qui empêche ces fonctions ?

Share this post


Link to post
Share on other sites

Oui eric69 quelle est la solution que tu as trouvé ? Je galère moi aussi pour effectuer la MAJ :-s

Share this post


Link to post
Share on other sites

presque en fait. dans le back office, dans préférences, il y a une nouvelle option : utilisation d'un thème 1.1 .il suffit de mettre oui pour que les js re-fonctionnent.

Share this post


Link to post
Share on other sites

Bonjour

moi aussi, j'ai mis mon ancienne base de version 1.1.0.4 sur la version 1.2.1.0

probleme:

aucun de mes anciens comptes clients ne peuvente se connecter (échec lors de l'authentification)

on ne peut acceder au fiche produit : vous n'avez pas accès à ce produit

nouveau compte client crée qui lui se connect mais quand j'essaie de payer "aucun moyen de paiement installé" alors que j'ai toute installé dans l'admin

aide pliz,

Share this post


Link to post
Share on other sites

Je deviens aussi dingue avec cette mise à jour...

Pareil que vous elle restait bloqué au niveau de la barre grise défilante.... je pensais que c'était bon... et bien non..

Que des bugs et des bugassesssssssssssssssss

Il faut que je retente une mise à jour, mais ca prends du temps !

Share this post


Link to post
Share on other sites

Je clôs ce sujet ouvert le 14/08. Cette dernière version n'étant pas finalisée je l'abandonne définitivement. Cela m'a coûté un client donc j'arrête les frais.
Bonne continuation à toutes et tous; en attendant des [bonnes] nouvelles de la team des développeurs dans les prochains mois.

Cordialement

Share this post


Link to post
Share on other sites

Bonjour

Je viens de lire tous les posts sur les mises à jours et je me poses 1 questions :
Pourquoi un bon nombre parmi vous font des mises à jours d'une version 1.1.0 ou 1.1.0.8 etc.. vers 4 versions plus loin 1.2.0 et 1.2.1 ?

Comme lu dans un post mettre des fichiers de win95 dans Vista. Ou alors faire une mise à jour de windows3.1 directement à Vista . Ok Vista lui mets l'ancienne version dans un windows.old, enfin c'est juste pour une image.

Tiens une meilleur image : j'attends d'avoir 18 ans pour changer mes habits que j'ai depuis l'âge de 10 ans ;)


C'est juste une question ne me tapez pas :shut: :down:

Share this post


Link to post
Share on other sites

Salut

Comme lu dans un post mettre des fichiers de win95 dans Vista. Ou alors faire une mise à jour de windows3.1 directement à Vista . Ok Vista lui mets l’ancienne version dans un windows.old, enfin c’est juste pour une image
.

C’est irrationnel Vista c'est Vista, xp,et bien c'est xp,et 95 c'est 95, ne faite vous pas des Windows Update d'un service pack 1 au pack 2 et vice versa ? Cela serre à quoi? certainement à corrigé des bugs ou à faire des Améliorations ou ajout de fonctionnalité...

C’est juste une question ne me tapez pas


Non moi je tape pas , :) mais je te jette un seau d'eau il fait chaud en ce moment :P

bonne journée

Yannick

Share this post


Link to post
Share on other sites

Re

Crotte j'ai oublié du TXT :wow: juste dire que la version 1.1.( ) a étais pour l'instant la meilleure version ( entre guillemets) et je pense que c'est pour cela que beaucoup de monde ont encore une version 1.1

bye
Yannick

Share this post


Link to post
Share on other sites

Bonjour,
Mais pourquoi c'est aussi compliqué les mises à jour de PrestaShop ? Puisque vous parlez de Windows il me semble que c'est bien plus simple ... non ?
Malgré le Wiki (http://www.prestashop.com/wiki/Guide_de_démarrage/#Mettre_.C3_jour_PrestaShop) j'avoue que je suis complètement perdu! Bref j'espère qu'un jour on aura une démonstration de mise à jour avec une vidéo, comme il existe une Vidéo : Comment installer PrestaShop sur son ordinateur (http://www.magavenue.com/blog/prestashop/installer-prestashop-sur-son-ordinateur).

@+ bye bye

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More